## org.apache.lucene.queryparser.surround.query
Class AndQuery

    java.lang.Object
      org.apache.lucene.queryparser.surround.query.SrndQuery
          org.apache.lucene.queryparser.surround.query.ComposedQuery
              org.apache.lucene.queryparser.surround.query.AndQuery

All Implemented Interfaces:
  Cloneable

    public class AndQuery

extends ComposedQuery

Factory for conjunctions

Field Summary

Fields inherited from class org.apache.lucene.queryparser.surround.query.ComposedQuery
`opName, queries`

Fields inherited from class org.apache.lucene.queryparser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`AndQuery(List<SrndQuery> queries, boolean inf, String opName)`

Method Summary
`Query` `makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`

Methods inherited from class org.apache.lucene.queryparser.surround.query.ComposedQuery
`getBracketClose, getBracketOpen, getNrSubQueries, getOperatorName, getPrefixSeparator, getSubQueriesIterator, getSubQuery, infixToString, isFieldsSubQueryAcceptable, isOperatorInfix, makeLuceneSubQueriesField, prefixToString, recompose, toString`

Methods inherited from class org.apache.lucene.queryparser.surround.query.SrndQuery
`clone, equals, getWeight, getWeightOperator, getWeightString, hashCode, isWeighted, makeLuceneQueryField, setWeight, weightToString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AndQuery

    public AndQuery(List<SrndQuery> queries,
                    boolean inf,
                    String opName)

Method Detail

### makeLuceneQueryFieldNoBoost

    public Query makeLuceneQueryFieldNoBoost(String fieldName,
                                             BasicQueryFactory qf)

  Specified by:
    `makeLuceneQueryFieldNoBoost` in class `SrndQuery`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.